%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Hewlett-Packard Linux Imaging and Printing Project
Name:		hplip
Version:	3.10.6
Release:	1
License:	GNU/GPL MIT BSD
URL:		http://hplip.sourceforge.net
Group:		System/Configuration/Printing
Source:		http://switch.dl.sourceforge.net/sourceforge/hpinkjet/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:      i686

Requires(pre):       	/sbin/chkconfig

# Manual requires
Requires:	foomatic-filters

#Confilcts
Conflicts:	hpijs

#Manual build dependencies
BuildRequires: python26-pyqt-devel
BuildRequires: perl
BuildRequires: libieee1284-devel libusb1-devel avahi-devel libv4l-devel

#Automatically resolved build dependencies
BuildRequires: cups-devel
BuildRequires: dbus-devel
BuildRequires: glibc-devel
BuildRequires: libexif-devel
BuildRequires: libgcc
BuildRequires: libgphoto2-devel
BuildRequires: libieee1284-devel
BuildRequires: libjpeg-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libtool-devel
BuildRequires: libusb-devel
BuildRequires: net-snmp-devel
BuildRequires: openssl-devel
BuildRequires: python26-devel
BuildRequires: sane-backends-devel
BuildRequires: zlib-devel

%description
The Hewlett-Packard Linux Imaging and Printing Project provides a 
unified single and multi-function connectivity solution for Linux.
The goal of this project is to provide "radically simple" printing, 
faxing, scanning, photo-card access, and device management to the 
consumer and small business desktop Linux users. This project is 
based open source software and uses GPL compatible licenses.

%post
ldconfig
echo "hpaio" >> /etc/sane.d/dll.conf

%preun

%postun
ldconfig
sed -i "s/hpaio//" /etc/sane.d/dll.conf

%prep
%setup -q -n %{name}-%{version}
FIX=$( find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
%configure --enable-hpijs-install PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config (noreplace) %_sysconfdir/hp/hplip.conf
%{_sysconfdir}/xdg/autostart/hplip-systray.desktop
%{_sysconfdir}/udev/rules.d/55-hpmud.rules
%{_sysconfdir}/udev/rules.d/56-hpmud_support.rules
%{_bindir}/hp-align
%{_bindir}/hp-check
%{_bindir}/hp-clean
%{_bindir}/hp-colorcal
%{_bindir}/hp-devicesettings
%{_bindir}/hp-fab
%{_bindir}/hp-faxsetup
%{_bindir}/hp-firmware
%{_bindir}/hp-info
%{_bindir}/hp-levels
%{_bindir}/hp-linefeedcal
%{_bindir}/hp-makecopies
%{_bindir}/hp-makeuri
%{_bindir}/hp-mkuri
%{_bindir}/hp-pkservice
%{_bindir}/hp-plugin
%{_bindir}/hp-pqdiag
%{_bindir}/hp-print
%{_bindir}/hp-printsettings
%{_bindir}/hp-probe
%{_bindir}/hp-query
%{_bindir}/hp-scan
%{_bindir}/hp-sendfax
%{_bindir}/hp-setup
%{_bindir}/hp-systray
%{_bindir}/hp-testpage
%{_bindir}/hp-timedate
%{_bindir}/hp-toolbox
%{_bindir}/hp-unload
%{_bindir}/hp-wificonfig
%{_bindir}/hpijs
%{_libdir}/cups/backend/hp
%{_libdir}/cups/backend/hpfax
%{_libdir}/cups/filter/hpcac
%{_libdir}/cups/filter/hpcups
%{_libdir}/cups/filter/hpcupsfax
%{_libdir}/cups/filter/hplipjs
%{_libdir}/cups/filter/pstotiff
%{_libdir}/sane/libsane-hpaio.*
%{_libdir}/libhpip.*
%{_libdir}/libhpmud.*
%{python_sitearch}/cupsext.*
%{python_sitearch}/hpmudext.*
%{python_sitearch}/pcardext.*
%{python_sitearch}/scanext.*
%{_datadir}/applications/hplip.desktop
%{_datadir}/cups/drv/hp/hpcups.drv
%{_datadir}/cups/mime/pstotiff.convs
%{_datadir}/cups/mime/pstotiff.types
%{_datadir}//doc/hplip-%{version}
%{_datadir}/hplip
%{_datadir}/ppd
%{_datadir}/hal/fdi/preprobe/10osvendor/20-hplip-devices.fdi
/var/lib/hp/hplip.state
%exclude %_sysconfdir/sane.d/dll.conf


%changelog
* Thu Jul 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.10.6-1
- Version update
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.10.5-1
- Version update
* Sat Jan 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.9.12-1
- Version update
* Mon Nov 30 2009 Christian Metzen <metzench@ccux-linux.de> 3.9.10-2
- enable hpijs
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 3.9.10-1
- Version update
- python 2.6
* Tue Aug 11 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.9.8-1
- Version update
- built against libjpeg 7
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 3.9.4b-1
- Version update
* Thu Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.7-1
- Version update
* Sat Jun 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.6-1
- Version update
* Thu May 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.5-1
- Version update
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.8.2-1
- Version update
* Tue Dec 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.7.12-1
- Version update
* Thu Dec 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.7.10-4
- rebuilt, binary package was malformed during upload
* Wed Nov 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.7.10-3
- altered group
* Fri Nov 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.7.10-2
- rebuilt against net-snmp 5.4.1
* Sat Oct 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.7.10-1
- Version update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.7.9-1
- Version update
* Tue Aug 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.7.7-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.7.6-1
- Version update
* Tue Mar 20 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.7.2-1
- Version update
* Wed Sep 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.6.9-1
- Version update
* Fri Nov 04 2005 Christian Wasem <wasem@ccux-linux.de> 0.9.6-2
- tweaked specfile, added init-scripts
* Tue Oct 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.9.6-1
- Version Update, tweaked specfile
* Tue May 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.9.2-1
- Initial release
